using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.MS.Domain.Entities.AE
{
    /// <summary>
    /// 勘察人员中间表
    /// </summary>
    [Description("勘察人员中间表")]
    public class T_AE_INVESTIGATION_RECORD_INVESTIGATION_USERS : MesEntityBase
    {
        /// <summary>
        /// 勘察记录表ID
        /// </summary>
        [Description("勘察记录表ID")]
        [DataFieldForeignKey("Nav_Record", "Nav_UsersInvestigation")]
        public Guid RECORD_ID { get; set; }

        /// <summary>
        /// 导航: 勘察记录表
        /// </summary>
        [Description("导航: 勘察记录表")]
        public virtual T_AE_INVESTIGATION_RECORD Nav_Record { get; set; }

        /// <summary>
        /// 勘察人员ID
        /// </summary>
        [Description("勘察人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid USER_ID { get; set; }

        /// <summary>
        /// 导航属性：用户
        /// </summary>
        [Description("导航属性：用户")]
        public virtual T_FM_USER Nav_User { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public AEInvestigationUserStatusEnum STATUS { get; set; }
    }
}
